Actualizando Moodle

Moodle de 2.7.11 a 2.7.12

/usr/share/moodle# git pull
remote: Counting objects: 69, done.
remote: Compressing objects: 100% (31/31), done.
remote: Total 69 (delta 51), reused 54 (delta 38), pack-reused 0
Unpacking objects: 100% (69/69), done.
From https://github.com/moodle/moodle
d27a325..3f85661 MOODLE_27_STABLE -> origin/MOODLE_27_STABLE
* [new tag] v2.7.12 -> v2.7.12
Updating d27a325..3f85661
Fast-forward
admin/environment.xml | 1 –
enrol/externallib.php | 13 ++++++++++—
enrol/self/externallib.php | 12 +++++++++—
enrol/self/tests/externallib_test.php | 14 +++++++++++++-
enrol/tests/externallib_test.php | 15 ++++++++++++++-
install/lang/bg/admin.php | 1 +
install/lang/cs/install.php | 2 +-
install/lang/he/admin.php | 2 +-
install/lang/he/install.php | 6 +++—
install/lang/hr/admin.php | 2 +-
install/lang/hr/error.php | 2 +-
install/lang/hr/install.php | 6 +++—
install/lang/zh_cn/error.php | 3 ++-
version.php | 4 ++–
14 files changed, 61 insertions(+), 22 deletions(-)

Actualización 22/01/2016: Como bien menciona Gunnar en los comentarios, aún falta hacerle saber a Moodle que han cambiado sus archivos y si requiere cambios en la base de datos que los lleve a cabo también los realice para esto, la mejor forma es:

sudo -u www-data /usr/share/moodle/admin/cli/upgrade.php

En mi caso vale la pena decir que seguí mucho de la estructura del ultimo empaquetado de Moodle en Debian, pero he de decir que he estado bastante desconectado de varias cosas en el mismo.

Ahora si, listo.

Dato de trivia, por qué mi origen es github y no git.moodle.org, el lindo firewall que se supone no existe tiene bloqueado el puerto 9418, problema similar tengo con ntp.

De veras que vale más ampliar la documentación de esto y de paso fijarse en si ya esta traducido también.

https://docs.moodle.org/27/en/Git_for_Administrators

Esta entrada fue publicada en Debraye, edusol, planetalinux, sysadmin, Trabajo y etiquetada , , , , . Guarda el enlace permanente.

2 Respuestas a Actualizando Moodle

  1. Gunnar dijo:

    Te faltó un último y muy importante paso:

    sudo -u www-data /usr/bin/php admin/cli/upgrade.php

    y ahí sí, ya con eso ‘tamos ☺

    • vicm3 dijo:

      Totalmente, cuando lo escribí no pensé en que fuese como una guía, sino como una pequeña nota de cuán diferente es de cuando descargas todo el tarball para modificar siete archivos, pero lo voy a añadir, dicho sea de paso si no lo hace uno cron.php se queja ya sea via web o via cli, aun cuando vía cli normalmente su salida se manda a /dev/null de que hay una actualización pendiente. Muy a la drupal desde 2.6 para añadir themes, plugins y demás requiere el upgrade.php lo cual me parece bastante útil.

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

Este sitio usa Akismet para reducir el spam. Aprende cómo se procesan los datos de tus comentarios.